Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
PUT /v1/skills/{skill_id}
Updates the metadata (name, description) of the specified skill. Only JSON request bodies are supported. This endpoint cannot be used to upload new file content.
Path parameters
| Parameter | Type | Required | Description |
|---|
skill_id | string | Yes | Skill unique identifier |
| Header | Required | Description |
|---|
Authorization | Yes | Bearer $QODER_PAT |
Content-Type | Yes | application/json |
Request body
| Field | Type | Required | Description |
|---|
name | string | No | New skill name |
description | string | No | New skill description |
Example request
curl -X PUT https://openapi.qoder.sh/api/v1/cloud/skills/skill_019e3bba474b73cfaf19eae9b5f5e66d \
-H "Authorization: Bearer $QODER_PAT" \
-H "Content-Type: application/json" \
-d '{
"name": "updated-skill-name",
"description": "Updated skill description"
}'
Example response
HTTP 200 OK
{
"id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
"type": "skill",
"name": "updated-skill-name",
"description": "Updated skill description",
"skill_type": "custom",
"status": "active",
"version": 1,
"content_size": 309,
"content_sha256": "f253cb7d35790025f85917c0c239422cff1de067d00278db8897c585a3f28d94",
"metadata": {},
"created_at": "2026-05-18T15:35:24.248164Z",
"updated_at": "2026-05-18T15:36:01.767469Z"
}
Response notes
updated_at is refreshed to the operation time.
version is not incremented for metadata-only updates (only content changes increment the version).
- Fields not included in the request body retain their previous values.
Errors
| HTTP | Type | Trigger |
|---|
| 400 | invalid_request_error | Used multipart instead of JSON: “Request body must be valid JSON.” |
| 401 | TOKEN_INVALID | Missing or invalid authentication token |
| 404 | not_found_error | Skill does not exist or has been deleted |
Notes
- The PUT endpoint accepts only
application/json Content-Type.
- It is for metadata updates only; uploading new zip content is not supported.
- To update skill content, recreate via
POST /v1/skills.
See Errors for the full error envelope.